LuceneServiceMXBean (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.lucene.management, interface: LuceneServiceMXBean

Package org.apache.geode.cache.lucene.management

# Interface LuceneServiceMXBean

public interface LuceneServiceMXBean
MBean that provides access to the `LuceneService`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LuceneIndexMetrics[]`
  `listIndexMetrics()`
  Returns an array of `LuceneIndexMetrics` for the `LuceneIndex` instances defined in this member
  `LuceneIndexMetrics[]`
  `listIndexMetrics(String regionPath)`
  Returns an array of `LuceneIndexMetrics` for the `LuceneIndex` instances defined on the input region in this member
  `LuceneIndexMetrics`
  `listIndexMetrics(String regionPath, String indexName)`
  Returns a `LuceneIndexMetrics` for the `LuceneIndex` with the input index name defined on the input region in this member.

- ## Method Details

  - ### listIndexMetrics

    LuceneIndexMetrics[] listIndexMetrics()
    Returns an array of `LuceneIndexMetrics` for the `LuceneIndex` instances defined in this member
    Returns:
      an array of LuceneIndexMetrics for the LuceneIndexes defined in this member

  - ### listIndexMetrics

    LuceneIndexMetrics[] listIndexMetrics(String regionPath)
    Returns an array of `LuceneIndexMetrics` for the `LuceneIndex` instances defined on the input region in this member
    Parameters:
      `regionPath` - The full path of the region to retrieve
    Returns:
      an array of LuceneIndexMetrics for the LuceneIndex instances defined on the input region in this member

  - ### listIndexMetrics

    LuceneIndexMetrics listIndexMetrics(String regionPath, String indexName)
    Returns a `LuceneIndexMetrics` for the `LuceneIndex` with the input index name defined on the input region in this member.
    Parameters:
      `regionPath` - The full path of the region to retrieve
      `indexName` - The name of the index to retrieve
    Returns:
      a LuceneIndexMetrics for the LuceneIndex with the input index name defined on the input region in this member.